## GnomeDbDataCellRendererTextual

GnomeDbDataCellRendererTextual — Cell renderer for textual data

## Synopsis

                GnomeDbDataCellRendererTextual;
    GType       gnome_db_data_cell_renderer_textual_get_type
                                                (void);
    GtkCellRenderer* gnome_db_data_cell_renderer_textual_new
                                                (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----GtkCellRendererText
                         +----GnomeDbDataCellRendererTextual

## Properties

      "to-be-deleted"        gboolean              : Write
      "value"                gpointer              : Read / Write
      "value-attributes"     guint                 : Read / Write

## Signals

    "changed"   void        user_function      (GnomeDbDataCellRendererTextual *dbdatacellrenderertextual,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer user_data);

## Description

## Details

### GnomeDbDataCellRendererTextual

    typedef struct _GnomeDbDataCellRendererTextual GnomeDbDataCellRendererTextual;

### gnome_db_data_cell_renderer_textual_get_type ()

    GType       gnome_db_data_cell_renderer_textual_get_type
                                                (void);

Returns : |

### gnome_db_data_cell_renderer_textual_new ()

    GtkCellRenderer* gnome_db_data_cell_renderer_textual_new
                                                (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

Creates a new GnomeDbDataCellRendererTextual. Adjust how text is drawn using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "text" property on the cell renderer to a string value in the model, thus rendering a different string in each row of the GtkTreeView

`dh` : | a GnomeDbDataHandler object
`type` : | the GdaValueType being edited
Returns : | the new cell renderer

## Property Details

### The "`to-be-deleted`" property

      "to-be-deleted"        gboolean              : Write

Default value: FALSE

### The "`value`" property

      "value"                gpointer              : Read / Write

GdaValue to render.

### The "`value-attributes`" property

      "value-attributes"     guint                 : Read / Write

Default value: 0

## Signal Details

### The "changed" signal

    void        user_function                  (GnomeDbDataCellRendererTextual *dbdatacellrenderertextual,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer user_data);

`dbdatacellrenderertextual` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.